# TShort_HSequenceOfShortReal.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TShort_HSequenceOfShortReal.hxx>`
`#include <TShort_SequenceOfShortReal.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_ShortReal.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Standard_ShortReal
#define | Item_hxx <Standard_ShortReal.hxx>
#define | TheSequence TShort_SequenceOfShortReal
#define | TheSequence_hxx <TShort_SequenceOfShortReal.hxx>
#define | TCollection_HSequence TShort_HSequenceOfShortReal
#define | TCollection_HSequence_hxx <TShort_HSequenceOfShortReal.hxx>
#define | Handle_TCollection_HSequence Handle_TShort_HSequenceOfShortReal
#define | TCollection_HSequence_Type_() TShort_HSequenceOfShortReal_Type_()

## Functions

Handle_TShort_HSequenceOfShortReal | ShallowCopy (const Handle_TShort_HSequenceOfShortReal &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_TShort_HSequenceOfShortReal

#define Item Standard_ShortReal

#define Item_hxx <Standard_ShortReal.hxx>

#define TCollection_HSequence TShort_HSequenceOfShortReal

#define TCollection_HSequence_hxx <TShort_HSequenceOfShortReal.hxx>

#define TCollection_HSequence_Type_ | (

)

TShort_HSequenceOfShortReal_Type_()

#define TheSequence TShort_SequenceOfShortReal

#define TheSequence_hxx <TShort_SequenceOfShortReal.hxx>

## Function Documentation

Handle_TShort_HSequenceOfShortReal ShallowCopy | ( | const Handle_TShort_HSequenceOfShortReal & | me | ) | `[inline]`